/// <reference types="react" />
export declare type FoundationFormErrorsLegacyLegacy = string;
export interface FoundationFormErrorsLegacy extends Record<string, string[]> {
}
export interface FoundationFormFieldErrors extends Array<[string, string]> {
}
export interface FoundationFormErrors extends Record<string, FoundationFormFieldErrors> {
}
export interface FoundationErrorListProps {
    errors?: React.ReactNode[];
}
export interface FoundationFormFieldErrorProps {
    errors?: FoundationFormFieldErrors;
}
export interface FoundationFormErrorFormatKeyHandler {
    (context: string, key: string): string;
}
export interface FoundationFormFieldErrorSummaryProps {
    context: string;
    errors?: FoundationFormErrors | FoundationFormErrorsLegacy | FoundationFormErrorsLegacyLegacy;
    formatKey?: FoundationFormErrorFormatKeyHandler;
}
